{
  "compilerOptions": {
    "target": "ES2020",
    "lib": ["DOM", "ES2020"],
    "module": "ESNext",
    "jsx": "preserve",
    "jsxImportSource": "vue",
    "strict": true,
    "noEmit": true,
    "skipLibCheck": true,
    "isolatedModules": true,
    "resolveJsonModule": true,
    "moduleResolution": "node",
    "useDefineForClassFields": true,
    "allowImportingTsExtensions": true,
    "sourceMap": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"]
    },
    "typeRoots": ["./node_modules/@types", "./src/types"]
  },
  "include": ["src"],
  "exclude": ["./rspack.*.config.ts", "rspack.config.ts"],
  "ts-node": {
    "compilerOptions": {
      "module": "CommonJS",
      "esModuleInterop": true, // 启用实验性的 ECMAScript 模块互操作性，方便导入 CommonJS 模块
      "skipLibCheck": true, // 跳过对库文件的类型检查，可以加快编译速度,
      "forceConsistentCasingInFileNames": true // 强制文件名大小写一致，避免在不同文件系统中出现文件名大小写不一致的问题
    }
  }
}
